Vcenter Utilization Proxies list

Vcenter Utilization Proxies list

Get vCenter proxies utilization.

This operation was added in vSphere API 9.1.0.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{host}/api/vcenter/utilization/proxies
COPY
Query Parameters
string of array
services
Optional

List of services to be included in the final result.

This property was added in vSphere API 9.1.0.0.

if missing or null or empty, the result will not be filtered by service.

When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: com.vmware.vcenter.services.Service. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: com.vmware.vcenter.services.Service.


Authentication
This operation uses the following authentication methods.
Responses
200

vCenter proxies utilization.

Returns Vcenter Utilization Proxies ListResult of type(s) application/json
{
    "proxies": [
        {
            "service": "string",
            "upstreams": [
                {
                    "name": "string",
                    "routes": [
                        {
                            "path": "string",
                            "peers": [
                                {
                                    "address": "string",
                                    "active_requests": 0
                                }
                            ]
                        }
                    ],
                    "requests_back_pressure": {
                        "active_requests": 0,
                        "max_outstanding_requests": 0
                    }
                }
            ]
        }
    ],
    "unknown_criteria": {
        "services": [
            "string"
        ]
    }
}
array of object
proxies
Required

Utilization of vCenter proxies.

This property was added in vSphere API 9.1.0.0.

unknown_criteria
Optional

Filtering criteria that could not match any known properties.

This property was added in vSphere API 9.1.0.0.

if set, the filtering criteria which are unknown are returned.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/utilization/proxies